;InnoSetupVersion=2.0.18

[Setup]
AppName=Actual Windows Manager
AppVerName=Actual Windows Manager 1.4
AppId=Actual Windows Manager
AppPublisher=Actual Tools
AppPublisherURL=http://www.actualtools.com
AppSupportURL=http://www.actualtools.com
AppUpdatesURL=http://www.actualtools.com
DefaultDirName={pf}\Actual Windows Manager
DefaultGroupName=Actual Windows Manager
OutputBaseFilename=aimsetup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\ActualWindowsManagerConfig.exe"; DestDir: "{app}"; 
Source: "{app}\aimemb.dll"; DestDir: "{app}"; Flags: restartreplace overwritereadonly 
Source: "{app}\ActualWindowsManagerCenter.exe"; DestDir: "{app}"; 
Source: "{app}\ActualWindowsManager.chm"; DestDir: "{app}"; 
Source: "{app}\file_id.diz"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\actualwindowsmanager.ini"; DestDir: "{app}"; Flags: uninsneveruninstall 
Source: "{app}\ProductsCatalog.chm"; DestDir: "{app}"; 
Source: "{app}\Languages\catalan.lng"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\english.lng"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\french.lng"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\italian.lng"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\polish.lng"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\portuguese_brazil.lng"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\spanish.lng"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\swedish.lng"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\turkish.lng"; DestDir: "{app}\Languages"; 

[Dirs]
Name: "{app}\Languages"; 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "Actual Windows Manager"; ValueType: String; ValueData: "{app}\ActualWindowsManagerCenter.exe"; Flags: uninsdeletevalue noerror 
Root: HKCU; Subkey: "Software\Actual Tools\Actual Windows Manager"; ValueName: "Language"; ValueType: String; ValueData: "en"; Flags: createvalueifdoesntexist uninsdeletevalue noerror 

[INI]
FileName: "{app}\ActualWindowsManagerConfig.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.actualtools.com/?ref=aim14"; 

[Run]
Filename: "{app}\ActualWindowsManagerConfig.exe"; Parameters: "-eval_time_install"; 
Filename: "{app}\ActualWindowsManagerConfig.exe"; Description: "Launch Configuration"; Flags: postinstall skipifsilent nowait
Filename: "{app}\ActualWindowsManagerCenter.exe"; Description: "Launch Actual Windows Manager"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Actual Windows Manager"; Filename: "{app}\ActualWindowsManagerCenter.exe"; 
Name: "{group}\Configuration"; Filename: "{app}\ActualWindowsManagerConfig.exe"; 
Name: "{group}\Help"; Filename: "{app}\ActualWindowsManager.chm"; 
Name: "{group}\Actual Windows Manager on the Web"; Filename: "{app}\ActualWindowsManagerConfig.url"; 
Name: "{group}\Readme"; Filename: "{app}\readme.txt"; 
Name: "{group}\License"; Filename: "{app}\license.txt"; 
Name: "{group}\Uninstall Actual Windows Manager"; Filename: "{app}\unins000.exe"; 
Name: "{group}\Products Catalog"; Filename: "{app}\ProductsCatalog.chm"; Comment: "Actual Tools Products Catalog"; 

[UninstallDelete]
Type: files; Name: "{app}\ActualWindowsManagerConfig.url"; 
